OpenAPI 3.0.3

API & MCP

Integrer ChatReact i jeres applikationer. komplet REST API med interaktiv explorer og kodeeksempler.

REST & MCP API

Fuld REST API plus Model Context Protocol for AI-assistenter

Sikker autentifikation

API-nøgler med cr_-præfiks for sikker adgangskontrol

OpenAPI 3.0

Fuld specifikation til download – til Postman, codegen og jeres egne SDK'er

Ratebegrænsning

30 req/min REST API, 60 req/min MCP og widget

Hurtigstart

example.js
// Send the first message; the response supplies sessionId.
const response = await fetch('/api/widget/{chatbotId}/chat', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({ message: 'Hello, I need help!', language: 'en' })
});

const { sessionId } = await response.json();

// Continue the same conversation.
await fetch('/api/widget/{chatbotId}/chat', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({
    sessionId,
    message: 'Can you explain that in more detail?',
    language: 'en'
  })
});

Autentifikation

REST v1 og MCP bruger en virksomheds-API-nøgle. Udsæt aldrig en secret-nøgle i en offentlig website-widget. chatteeksemplet ovenfor bruger den offentlige widget-endpoint.

Authorization: Bearer cr_your_api_key_here